import {httpApi} from "../request/httpApi";

export default {
    //上传文件
    async putFile(form, msg = true) {
        return httpApi({
            url: '/api/blade-resource/oss/endpoint/put-file',
            method: 'post',
            data: form
        }, msg);
    },
    //移除文件
    async removeFile(form, msg = true) {
        return httpApi({
            url: '/api/blade-resource/oss/endpoint/remove-file',
            method: 'post',
            params: form
        }, msg);
    },
    //上传文件
    async uploadFile(form, msg = true) {
        return httpApi({
            url: '/api/blade-resource/oss/endpoint/upload-file',
            method: 'post',
            data: form
        }, msg);
    },
}
