import {httpApi} from "../request/httpApi";

export const ApprovalApi = (url,form) => httpApi({
    url: '/api/blade-business/' + url,
    method: 'post',
    data: form
});

export const batchApproval = (form) => httpApi({
    url: '/api/blade-business/archiveFile/batchApproval',
    method: 'post',
    data: form
});

//短信验证
export const sendNotice = (form) => httpApi({
    url: '/api/blade-business/task/send-notice',
    method: 'post',
    params: form
});

//用户配置保存
export const userConfigSave = (form) => httpApi({
    url: '/api/blade-business/defaultConfig/saveOrUpdate',
    method: 'post',
    data: form
});

//用户配置详情
export const userConfigInfo = (form) => httpApi({
    url: '/api/blade-business/defaultConfig/detail',
    method: 'get',
    params: form
});
