import {httpApi} from "../../request/httpApi";

export default {
    //获取合同段划分树中被标记为首件的节点
    async queryWbsTreeData(form) {
        return httpApi({
            url: '/api/blade-business/treeContractFirst/queryContractWbsTreeFirstByContractIdAndType',
            method: 'get',
            params: form
        });
    },
    //分页数据
    async getPageData(form) {
        return httpApi({
            url: '/api/blade-business/firstInformation/page',
            method: 'get',
            params: form
        })
    },
    //分页数据
    async getQueryPageData(form) {
        return httpApi({
            url: '/api/blade-business/informationWriteQuery/page',
            method: 'post',
            data: form
        })
    },
}
