import Cookies from 'js-cookie'
import config from "~src/config/index";

export default {
    getToken(form) {
        return Cookies.get(config.tokenKey)
    },
    setToken(token) {
        return Cookies.set(config.tokenKey, token)
    },
    getRefreshToken() {
        return Cookies.get(config.refreshTokenKey)
    },
    setRefreshToken(token) {
        return Cookies.set(config.refreshTokenKey, token)
    },
    removeToken() {
        return Cookies.remove(config.tokenKey)
    },
    removeRefreshToken() {
        return Cookies.remove(config.refreshTokenKey)
    }
}
