import HcImg from './hc-img/index.vue'
import HcIcon from './hc-icon/index.vue'
import HcCard from './hc-card/index.vue'
import HcTable from './hc-table/index.vue'
import HcPages from './hc-page/index.vue'
import HcDrawer from './hc-drawer/index.vue'
import HcUploads from './hc-uploads/index.vue'
import HcCounter from './hc-counter/index.vue'
import HcTooltip from './hc-tooltip/index.vue'
import HcMenuSimple from './hc-menu-simple/index.vue'
import HcDatePicker from './hc-date-picker/index.vue'
import HcNewSwitch from './hc-new-switch/index.vue'
import HcDragModal from './hc-drag-modal/index.vue'
import HcReportModal from './hc-report-modal/index.vue'
import HcTasksUser from './hc-tasks-user/index.vue'
import HcContextMenu from './hc-context-menu/index.vue'

//注册全局组件
export const setupComponents = (App) => {
    App.component('HcImg', HcImg)
    App.component('HcIcon', HcIcon)
    App.component('HcCard', HcCard)
    App.component('HcTable', HcTable)
    App.component('HcPages', HcPages)
    App.component('HcDrawer', HcDrawer)
    App.component('HcUploads', HcUploads)
    App.component('HcCounter', HcCounter)
    App.component('HcTooltip', HcTooltip)
    App.component('HcMenuSimple', HcMenuSimple)
    App.component('HcDatePicker', HcDatePicker)
    App.component('HcNewSwitch', HcNewSwitch)
    App.component('HcDragModal', HcDragModal)
    App.component('HcReportModal', HcReportModal)
    App.component('HcTasksUser', HcTasksUser)
    App.component('HcContextMenu', HcContextMenu)
}
