import {httpApi} from "../../request/httpApi";

export default {
    //获取数据
    async queryListData(form) {
        return httpApi({
            url: '/api/blade-business/dap/list',
            method: 'get',
            params: form
        });
    },
    //新增
    async addSave(form) {
        return httpApi({
            url: '/api/blade-business/dap/add',
            method: 'post',
            data: form
        })
    },
    //编辑
    async updateSave(form) {
        return httpApi({
            url: '/api/blade-business/dap/update',
            method: 'post',
            data: form
        })
    },
    //删除
    async delData(form) {
        return httpApi({
            url: '/api/blade-business/dap/del',
            method: 'post',
            params: form
        })
    },
    //导出数据
    async getExportExcel(form) {
        return httpApi({
            url: '/api/blade-business/dap/exportExcel',
            method: 'get',
            params: form,
            responseType: 'blob'
        })
    },
}
