import {httpApi} from "../../request/httpApi";

export const queryWbsTree = (form) => httpApi({
    url: '/api/blade-business/constructionLedger/queryContractWbsTreeByContractIdAndType',
    method: 'get',
    params: form
});

export const queryWbsTable = (form) => httpApi({
    url: '/api/blade-business/constructionLedger/list',
    method: 'post',
    data: form
});

export const updateWbsTable = (form) => httpApi({
    url: '/api/blade-business/constructionLedger/update',
    method: 'post',
    data: form
});

export const queryNeiYeTree = (form) => httpApi({
    url: '/api/blade-business/neiYeController/queryContractWbsTreeByContractIdAndType',
    method: 'get',
    params: form
});

export const queryNeiYeTable = (form) => httpApi({
    url: '/api/blade-business/neiYeController/queryCurrentNodeNeiYeLedger',
    method: 'post',
    data: form
});
