import {httpApi} from "../../request/httpApi";

export default {
    //获取当前合同段下的日志类型
    async queryLogList(form) {
        return httpApi({
            url: '/api/blade-business/contractLog/queryCurrentContractLogList',
            method: 'get',
            params: form
        })
    },
    //获取当前日志类型的填报人
    async queryFillUser(form) {
        return httpApi({
            url: '/api/blade-business/contractLog/queryFillUser',
            method: 'get',
            params: form
        })
    },
    //施工日志分页
    async constructionLogPage(form) {
        return httpApi({
            url: '/api/blade-business/contractLog/constructionLogPage',
            method: 'post',
            data: form
        })
    },
    //批量废除
    async batchAbolish(form) {
        return httpApi({
            url: '/api/blade-business/contractLog/batchAbolish',
            method: 'post',
            params: form
        })
    },
    //获取合同段当前日志节点下的填报日期记录
    async getSubmitLogDateList(form) {
        return httpApi({
            url: '/api/blade-business/contractLog/getSubmitLogDateList',
            method: 'post',
            params: form
        })
    },
}
